Subject: [Sipping] RE: Proposed resolution to index in conference-package

From: "Johnston, Alan" <[email-masked]>
Date: Sun, 27 Feb 2005 22:17:50 +0000

Cullen,

I think this will work.  I am OK with moving ahead with this proposal.

Thanks,
Alan Johnston
sip:[email-masked]

> -----Original Message-----
> From: Cullen Jennings [mailto:[email-masked]] 
> Sent: Friday, February 25, 2005 12:08 PM
> To: sipping
> Cc: Orit Levin; Johnston, Alan; Rohan Mahy; Brian Rosen; Roni Even
> Subject: Proposed resolution to index in conference-package
> 
> 
> 
> Orit and I talked for awhile on this one and I think we have 
> a proposal that seems like it should meet everyone's needs 
> with regards to the keys to index some of the things in the 
> conference package.
> 
> 
> No change in <user> definition: <user> is indexed by a unique 
> attribute called 'entity' of type URI which contains an AOR 
> for the user.
> 
> <endpoint> definition is changed to somewhat between -08 and 
> -09 but better than both:  <endpoint> is indexed by a single 
> unique attribute called 'entity' of type string which is 
> generated by the server and meaningful to it. If the server 
> wants, it may use things like GRUU for this. The endpoint 
> also contains *optional* fields as in -09 that are not part 
> of the index and contain the sip call-id, contact,  and to 
> and from tags.
> 
> No change in <media> definition: media is indexed by a unique 
> attribute called 'id' of type string. This 'id' is NOT the 
> SDP label necessarily. <media> contains *optional* 
> sub-element <label> as in -09.
> 
> Can anyone think of a reason why with would not work?
> 
> Thank, Cullen
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP